# Safescan

<mark style="color:green;">`POST`</mark> `https://www.cyberscope.io/api/safescan`

This API endpoint allows you to analyze the transactions associated with a given address and identify any suspicious activities. It leverages various checks, including interactions with known suspicious wallets, cross-referencing with CEX hot wallets, popular bridges, Tornado Cash, and other money laundering applications. Additionally, it cross-checks against our extensive database, containing more than 30,000 blacklisted and suspicious wallets.

**Rate Limit**

The endpoint has a rate limit of 10 calls/minute, you may get a key for unrestricted access by contacting us at [@raf\_cyberscope](https://t.me/@raf_cyberscope).

#### Headers

| Name      | Type | Description                                                                                                      |
| --------- | ---- | ---------------------------------------------------------------------------------------------------------------- |
| x-api-key |      | Include the API key in the header of your API requests to authenticate and authorize access without rate limits. |

#### Request Body

| Name                                      | Type   | Description                                    |
| ----------------------------------------- | ------ | ---------------------------------------------- |
| address<mark style="color:red;">\*</mark> | String | The address of the wallet that will be scanned |

{% tabs %}
{% tab title="200: OK The response contains 4 fields. The "addressAudit", "aggregation", "ownerCoinSlugs", "ownerContracts"" %}

```json
{
  "ownerContracts": [],
  "ownerCoinSlugs": [],
  "addressAudit": {
    "networks": [
      {
        "suspicious": 0,
        "seriesTx": [
          { "value": 1, "time": 1626220800 },
          { "value": 2, "time": 1648684800 },
        ],
        "labeledTx": [
          {
            "date": "2022-10-06T15:26:11.000Z",
            "hash": "0x254a4bd62ca6a1aac426e5e2476baefdc2118ea72756b4f188f5e1644fbc6077",
            "label": "Binance 20",
            "type": "CEX",
            "annotation": "Withdraw"
          }
        ],
        "blacklisted": false,
        "totalTx": 9,
        "totalInternalTx": 0,
        "network": "ETH",
        "latestTxDate": "2022-10-06T15:31:35.000Z",
        "firstTxDate": "2021-07-14T07:25:35.000Z"
      },
      {
        "suspicious": 0,
        "seriesTx": [
          { "value": 6, "time": 1618963200 },
          { "value": 1, "time": 1619136000 },
        ],
        "labeledTx": [
          {
            "date": "2023-01-04T16:11:37.000Z",
            "hash": "0x181a9f7d5d302721cc7161d6de143f0e37a43bc2924481baae14ea1d85af0085",
            "label": "Quickswap",
            "type": "DEXFactory",
            "annotation": ""
          }
        ],
        "blacklisted": false,
        "totalTx": 210,
        "totalInternalTx": 27,
        "network": "BSC",
        "latestTxDate": "2023-01-08T10:24:42.000Z",
        "firstTxDate": "2021-04-21T10:11:11.000Z"
      }
    ],
    "aggregation": {
      "blacklisted": false,
      "suspicious": 0,
      "firstTxDate": 1618999871000,
      "latestTxDate": 1673173482000
    }
  }
}
```

{% endtab %}

{% tab title="400: Bad Request The request was made with an invalid or improperly formatted address." %}

```json
{
    "message": "Invalid Address"
}
```

{% endtab %}

{% tab title="429: Too Many Requests Too many requests. The allowed limit for API calls has been exceeded." %}

```json
{
    "message": "Too Many Requests"
}
```

{% endtab %}

{% tab title="403: Forbidden Access is forbidden due to an invalid API\_KEY. Please provide a valid API key for authorization." %}

```json
{
    "message": "Invalid API_KEY"
}
```

{% endtab %}

{% tab title="500: Internal Server Error In the event of an internal server error, a status 500 response will be returned. Please contact our support team to investigate and resolve the issue promptly." %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cyberscope.io/api/safescan.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
